Subject: bug#62106: closed (Re: bug#62106: 29.0.60; Emacs 29 changing user option values (?))

From: [email-masked] (GNU bug Tracking System)
Date: Sat, 11 Mar 2023 16:35:03 +0000

Your bug report

#62106: 29.0.60; Emacs 29 changing user option values (?)

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
62106: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=62106
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#62106: 29.0.60; Emacs 29 changing user option values (?)
From: Michael Albinus <[email-masked]>
To: Michael Heerdegen <[email-masked]>
Cc: [email-masked], Drew Adams <[email-masked]>
Date: Sat, 11 Mar 2023 17:34:09 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Version: 29.1

Michael Heerdegen <[email-masked]> writes:

Hi,

>> I downloaded the Windows binary posted today, with dependencies
>> included, and gave it a naive try using my setup.  Naturally I ran into
>> some problems.  But when I went to exit, my `kill-emacs-query-functions'
>> code that checks for changes to user option values (using function
>> `customize-unsaved') let me know that something had changed these option
>> values (I had not changed them):
>>
>> connection-local-criteria-alist
>>
>> Its value is
>>
>> (((:application tramp)
>>   tramp-connection-local-default-system-profile tramp-connection-local-default-shell-profile))
>>
>> Original value was nil
>>
>>
>> connection-local-profile-alist
>>
>> The value is a long, complex Tramp alist.  Original value was nil.
>>
>> So it looks like Tramp (?) might be messing with user-ooption values,
>> without resetting their state to tell Customize that they haven't been
>> changed since last saved.  This should be a no-no.
>
> Let's CC Michael (I mean, the other one).  He changed that in
> 6058d3ebb41 - Respect customization nature of `connection-local-*' user
> options.
>
> Dunno what the intention was - could we use `setopt' here?

`setopt' does not really help. Using `customize-save-variable' instead
of `customize-set-variable' does the trick.

Pushed to the emacs-29 branch, closing the bug. Pls reply if it doesn't
work as expected.

> Michael.

Best regards, Michael.

Subject: 29.0.60; Emacs 29 changing user option values (?)
From: Drew Adams <[email-masked]>
To: "[email-masked]" <[email-masked]>
Date: Fri, 10 Mar 2023 22:16:34 +0000
List-Id: <debbugs-submit.debbugs.gnu.org>

Apologies for an incomplete bug report.  Feel free to close if not
helpful.

I downloaded the Windows binary posted today, with dependencies
included, and gave it a naive try using my setup.  Naturally I ran into
some problems.  But when I went to exit, my `kill-emacs-query-functions'
code that checks for changes to user option values (using function
`customize-unsaved') let me know that something had changed these option
values (I had not changed them):

connection-local-criteria-alist

Its value is

(((:application tramp)
  tramp-connection-local-default-system-profile tramp-connection-local-default-shell-profile))

Original value was nil

connection-local-profile-alist

The value is a long, complex Tramp alist.  Original value was nil.

So it looks like Tramp (?) might be messing with user-ooption values,
without resetting their state to tell Customize that they haven't been
changed since last saved.  This should be a no-no.

HTH.

In GNU Emacs 29.0.60 (build 1, x86_64-w64-mingw32)
 of 2023-03-10
Repository revision: 6fe9075ff3814ce825c9869c901903edad9d0b44
Windowing system distributor `Microsoft Corp.', version 10.0.19044
Configured using:
 `configure --with-modules --without-dbus --with-native-compilation
 --without-compress-install --with-tree-sitter CFLAGS=-O2'